Bug 1256327 - php: SoapClient info leak / null pointer dereference via multiple type confusions
php: SoapClient info leak / null pointer dereference via multiple type confus...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150806,repor...
: Security
Depends On:
Blocks: 1252058
  Show dependency treegraph
 
Reported: 2015-08-24 07:22 EDT by Vasyl Kaigorodov
Modified: 2016-03-04 07:17 EST (History)
15 users (show)

See Also:
Fixed In Version: PHP 5.6.12, PHP 5.5.28, PHP 5.4.44
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-27 06:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2015-08-24 07:22:58 EDT
It was reported that SoapClient's __call() method suffers from multiple type confusion issues which could be used to exfiltrate arbitrary memory contents or cause crashe via unsafe unserialize() calls.

Upstream bug: https://bugs.php.net/bug.php?id=70081
Upstream fix: http://git.php.net/?p=php-src.git;a=commit;h=c96d08b27226193dd51f2b50e84272235c6aaa69

Note You need to log in before you can comment on or make changes to this bug.